[arch-commits] Commit in ntfs-3g/repos (3 files)

Jan de Groot jgc at archlinux.org
Mon Apr 13 13:29:50 EDT 2009


    Date: Monday, April 13, 2009 @ 13:29:50
  Author: jgc
Revision: 35448

Merged revisions 35447 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/ntfs-3g/trunk

........
  r35447 | jgc | 2009-04-13 17:29:37 +0000 (Mon, 13 Apr 2009) | 2 lines
  
  upgpkg: ntfs-3g 2009.4.4-1
      Add hal fdi file to switch from ntfs mounts to ntfs-3g mounts when this package is installed. Migrate the policy fixes from hal here also
........

Added:
  ntfs-3g/repos/extra-x86_64/20-ntfs-config-write-policy.fdi
    (from rev 35447, ntfs-3g/trunk/20-ntfs-config-write-policy.fdi)
Modified:
  ntfs-3g/repos/extra-x86_64/	(properties)
  ntfs-3g/repos/extra-x86_64/PKGBUILD

---------------------------------+
 20-ntfs-config-write-policy.fdi |   13 +++++++++++++
 PKGBUILD                        |   10 +++++++---
 2 files changed, 20 insertions(+), 3 deletions(-)


Property changes on: ntfs-3g/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /ntfs-3g/trunk:1-27566
   + /ntfs-3g/trunk:1-35447

Copied: ntfs-3g/repos/extra-x86_64/20-ntfs-config-write-policy.fdi (from rev 35447, ntfs-3g/trunk/20-ntfs-config-write-policy.fdi)
===================================================================
--- extra-x86_64/20-ntfs-config-write-policy.fdi	                        (rev 0)
+++ extra-x86_64/20-ntfs-config-write-policy.fdi	2009-04-13 17:29:50 UTC (rev 35448)
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?> 
+<deviceinfo version="0.2">
+   <device>
+       <match key="volume.fstype" string="ntfs">
+           <merge key="volume.fstype" type="string">ntfs-3g</merge>
+           <merge key="volume.policy.mount_filesystem" type="string">ntfs-3g</merge>
+           <append key="volume.mount.valid_options" type="strlist">locale=</append>
+           <append key="volume.mount.valid_options" type="strlist">dmask=</append>
+           <append key="volume.mount.valid_options" type="strlist">fmask=</append>
+       </match>
+   </device>
+</deviceinfo>
+

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-13 17:29:37 UTC (rev 35447)
+++ extra-x86_64/PKGBUILD	2009-04-13 17:29:50 UTC (rev 35448)
@@ -3,7 +3,7 @@
 # Contributor: Thomas Bächler <thomas.archlinux.org>
 
 pkgname=ntfs-3g
-pkgver=2009.2.1
+pkgver=2009.4.4
 pkgrel=1
 pkgdesc="Stable read and write NTFS driver"
 url="http://www.ntfs-3g.org/"
@@ -12,8 +12,10 @@
 depends=('glibc')
 makedepends=('pkgconfig')
 options=('!libtool')
-source=(http://www.ntfs-3g.org/${pkgname}-${pkgver}.tgz)
-md5sums=('455d20b8e6960bad3311b72bec335737')
+source=(http://www.ntfs-3g.org/${pkgname}-${pkgver}.tgz
+	20-ntfs-config-write-policy.fdi)
+md5sums=('e0b5c170f088a8d82968f0a6b34d31da'
+         'ece35a9108837e2008e5a47f3390755e')
 
 build() {
   cd ${srcdir}/${pkgname}-${pkgver}
@@ -23,4 +25,6 @@
 	--with-fuse=internal || return 1
   make || return 1
   make DESTDIR=${pkgdir} install || return 1
+  install -m755 -d "${pkgdir}/usr/share/hal/fdi/policy/10osvendor"
+  install -m644 "${srcdir}/20-ntfs-config-write-policy.fdi" "${pkgdir}/usr/share/hal/fdi/policy/10osvendor/" || return 1
 }



More information about the arch-commits mailing list